Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: Sencha Architect Linux distributions support

  1. #1
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795
    Answers
    103
    Vote Rating
    52
      0  

    Default Sencha Architect Linux distributions support

    Hello everyone

    To summarize Linux support for SA releases.
    There are no problems for Windows / OS X.

    Sencha Architect 4.x - Should work on all major distributions. No issues reported.
    Sencha Architect 3.5 - Should work on all major distributions. No issues reported.

    Sencha Architect 3.2:

    - Works on:

    • Ubuntu 14.04.1 LTS
    • Linux Mint 17.2
    • Red Hat Workstation 7.2
    • CentOS 7
    • Other distributions and versions


    - Does not work on:

    • Ubuntu 16.04 LTS - Symptoms: You will get message that your account is expired even though you have full license or infinite login loading.
    • Linux Mint 18


    Sencha Architect 3.1:

    - Works on:

    • Linux Mint 17.2
    • Red Hat Workstation 7.2
    • CentOS 7
    • Other distributions


    - Does not work on:

    • Ubuntu 14.04 - Symptoms: libxml error in console, you will get message that your account is expired even though you have full license.
    • Ubuntu 16.04 - Symptoms: You will get message that your account is expired even though you have full license.


    SA 3.1, 3.2 known issues:

    • Error libudev.so.0 is not found. If you are on Debian based system run:
      Code:
      sudo ln -sf /lib/$(arch)-linux-gnu/libudev.so.1 /lib/$(arch)-linux-gnu/libudev.so.0
      If you are on RedHat based system run:
      Code:
      sudo ln -s /usr/lib64/libgudev-1.0.so.0 /usr/lib64/libudev.so.0
    • The trial has expired on full license. Sometimes it can happen that the license file downloaded from the server become corrupted on download. When SA 3.1 and 3.2 detects corrupted file, it will display incorrectly that your license is expired. If the SA is on the list of supported distributions - you can try to log in several more times.


    SA 3.5, 4.x known issues:

    • SA starts with black screen (can happen in virtual-box due to faulty graphic card drivers), run SA with --disable-gpu:
      Code:
      ./SenchaArchitect --disable-gpu
    • Ubuntu 17+ might need libconfg-2.so.4
      Code:
      sudo apt-get install libgconf-2-4





    The problems of not-starting SA on some distributions are mostly caused by newer / missing libraries (some library for dealing with xml files specifically - it can't load the license file). Theoretically it should be possible to install the correct one. If you found any workarounds feel free to share them with us.

    The workaround for these issues is to run SA in virtual environment with older Linux distribution version.

    If you are running SA on some other distribution or SA does not run somewhere else, please share your experience with us. Thank you


    -The Sencha Team

  2. #2
    Sencha User
    Join Date
    Sep 2015
    Posts
    9
    Vote Rating
    0
      0  

    Default

    Hi,
    It's a litle strange, because I used SA 3.2 in Linux Mint 18 and have a co-worker using in Mint 18 and working fine.
    But ok, please can you tell me if have many changes between SA 3.2 and SA 3.5 ??
    Are possible update my version without problems to my project ?
    Thanks.

  3. #3
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795
    Answers
    103
    Vote Rating
    52
      0  

    Default

    Quote Originally Posted by marcelo.cavalini View Post
    Hi,
    It's a litle strange, because I used SA 3.2 in Linux Mint 18 and have a co-worker using in Mint 18 and working fine.
    You might have updated some libraries.


    Quote Originally Posted by marcelo.cavalini View Post
    Hi,
    But ok, please can you tell me if have many changes between SA 3.2 and SA 3.5 ??
    Are possible update my version without problems to my project ?
    All the newer versions of SA are compatible with SA 3.2 projects. You should be able to use even SA 4 with your project. Only SA 4 no longer supports Touch.

    As for the changes, the only thing which could be troubling is the change in newer Cmd. SA 3.5 is using newer Cmd because of Ext 6 support. The Cmd versions are again all backward compatible. But some users tend to keep older Cmd which works fine with their projects.

    Theoretically you should be able to open your project with SA 3.5 without any problems. You can only hit problems if you upgrade your Ext version of the project.

    You can have multiple SA version installed so just install newer SA, backup your project and try it. You can always go back.
    But keep in mind that if you are working in a team you will all have to upgrade to the same SA version.

    SA 3.5 change-log:
    http://docs.sencha.com/architect/3/g...hange_log.html

    Regards
    Petr

  4. #4
    Sencha User
    Join Date
    Sep 2015
    Posts
    9
    Vote Rating
    0
      0  

    Default

    Hi,
    Please someone can send me the url to download SA 3.5 ?
    In mail received after register in https://www.sencha.com/products/extjs/evaluate/ the download link is to SA version 4
    Thank you

  5. #5
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795
    Answers
    103
    Vote Rating
    52
      0  

    Default

    You should be able to download all the binaries from https://support.sencha.com/

  6. #6
    Sencha User
    Join Date
    Sep 2015
    Posts
    9
    Vote Rating
    0
      0  

    Default

    I can't access support area, message "Portal user not found" , have any other option ?

    Another doubt, you know if with my 3.2 licence I can use SA 4 ?

    Thank you

  7. #7
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795
    Answers
    103
    Vote Rating
    52
      0  

    Default

    Quote Originally Posted by marcelo.cavalini View Post
    I can't access support area, message "Portal user not found" , have any other option ?

    Another doubt, you know if with my 3.2 licence I can use SA 4 ?

    Thank you
    Your license will not work with SA 4. I will send you a link for SA 3.5 Linux download in PM.

  8. #8
    Sencha User
    Join Date
    Sep 2015
    Posts
    9
    Vote Rating
    0
      0  

    Default

    Hi petr.vecera ,
    Please, I'm upgrade my SA 3.2 to 3.5 and when I opened my project the error attached is happening.
    Do You know what is happening ?

    erro_SA_35.png

  9. #9
    Sencha User
    Join Date
    Sep 2015
    Posts
    9
    Vote Rating
    0
      0  

    Default

    Hi petr.vecera

    Please actually I'm using this version (SenchaCmd-5.1.2.52-linux-x64.run.tar.gz) to compile my JS, and now, after I upgrade my SA to 3.5 version I'm getting error in my application.
    I saw that the version of cmd in SA 3.5 is 6.1.2.15 then my question is If I need change my compiller, and if yes, can you please send me a download link for this version ?
    Thank you very much.

  10. #10
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795
    Answers
    103
    Vote Rating
    52
      0  

    Default

    Quote Originally Posted by marcelo.cavalini View Post
    Hi petr.vecera ,
    Please, I'm upgrade my SA 3.2 to 3.5 and when I opened my project the error attached is happening.
    Do You know what is happening ?

    erro_SA_35.png
    If the error still persists, you can try to disable file watcher:
    Edit -> References -> File
    bElyvZX.png

    It's just extra security feature which can be disabled without any significant effects.

Page 1 of 2 12 LastLast

Similar Threads

  1. not run sencha architect 3 in linux
    By FELIX_LEAL in forum Sencha Architect 3.x: Bugs
    Replies: 7
    Last Post: 9 Dec 2014, 6:52 PM
  2. No Native Build UI for Sencha Architect in Linux
    By mikky2 in forum Sencha Architect 3.x: Q&A
    Replies: 1
    Last Post: 20 Mar 2014, 3:08 PM
  3. Sencha Cmd native support on linux
    By midori_green in forum Sencha Cmd
    Replies: 11
    Last Post: 14 Nov 2013, 5:31 AM
  4. How do I activate Sencha Architect post 30 day trial under Linux?
    By whirling dervish in forum Sencha Architect 2.x: Help & Discussions
    Replies: 1
    Last Post: 16 Jul 2012, 1:15 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •